### Method

# Ggit Repository create_commit_with_signature

#### Declaration [src]

    GgitOId*
    ggit_repository_create_commit_with_signature (
      GgitRepository* repository,
      const gchar* commit_content,
      const gchar* signature,
      const gchar* signature_field,
      GError** error
    )

#### Description [src]

Given the unsigned commit object’s contents, its signature and the header field in which to store the signature, attach the signature to the commit and write it into the given repositoryCreate a new commit using the (if not NULL) signature key and type of key provided.

#### Parameters

`commit_content`

  Type: `const gchar*`

  The content of the unsigned commit.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`signature`

  Type: `const gchar*`

  The signature to add to the commit.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`signature_field`

  Type: `const gchar*`

  Which header field should contain this signature. Leave `NULL` for the default of “gpgsig”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitOId`

The `GgitOId` of the created commit object, or `NULL` in case of an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.